@import url('main.css');
.hero {
    width: calc(100vw - var(--hero-footer-height));
    margin: 0px auto 64px auto;
    border-radius: 0px 0px 40px 40px;
    height: calc(100vh - var(--hero-footer-height) / 2 - 16px);
    background-image: url(../images/hero-bg.jpg);
    background-size: cover;
    position: relative;
}

.hero-content {
    margin: 0 auto;
    width: 81rem;
    height: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.hero-left {
    width: 50%;
}

.hero-left h1 {
    font-size: 4rem;
    font-weight: 800;
    color: var(--text-main);
}

.hero-left p {
    font-size: 1.1rem;
    color: var(--text-second);
}

.hero-left .btn {
    margin-top: 22px;
}

.hero-right {
    width: 50%;
}

.hero-footer {
    display: flex;
    justify-content: space-between;
    width: 50%;
    height: var(--hero-footer-height);
    position: absolute;
    bottom: calc(0px - var(--hero-footer-height) / 2);
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--background-primary);
    border-radius: 24px;
    box-shadow: 0px 2px 4px 4px rgba(0, 0, 0, 0.04);
}

.hero-footer-slab p {
    margin-top: 4px;
}

.hero-footer-slab {
    width: 25%;
    padding: 24px;
    border-right: 2px solid rgba(0, 0, 0, 0.04);
}

.hf-active {
    border-right: none;
    position: relative;
    padding: 0px;
    background: linear-gradient(45deg, var(--theme-main), var(--theme-lighter));
    background-size: 200%;
    box-shadow: inset 0px 0px 8px 8px rgba(0, 0, 0, 0.10);
    border-radius: 0px 24px 24px 0px;
    transition: .5s ease-out;
}

.hf-active a {
    color: var(--background-primary);
}

.hf-active:has(a:hover) {
    background-position-x: 200%;
}

.hf-active h4 {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 1.2rem;
    font-weight: 500;
}


/* SEKCJA SPECIAL OFFER */

.special-offer {
    padding-top: 60px;
}

.special-offer-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 20px;
    background: linear-gradient(45deg, var(--theme-main), var(--theme-lighter));
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    padding: 40px;
    width: 80%;
    margin: 0 auto;
}

.special-offer-left {
    width: 50%;
}

.special-offer-left h4 {
    color: var(--background-primary);
    font-size: 2rem;
}

.special-offer-left h5 {
    color: var(--background-primary);
    font-size: 5rem;
    line-height: 5rem;
    text-shadow: 0px 0px 16px rgba(0, 0, 0, 0.12);
}

.special-offer-left p {
    color: var(--background-primary);
    font-size: 1.2rem;
}

.special-offer-left a,
.special-offer-left a:visited {
    margin-top: 20px;
    background-color: var(--background-primary);
    color: var(--theme-main);
}

.special-offer-left a:hover {
    background-color: var(--background-primary);
    color: var(--theme-main);
}

.special-offer-right {
    background-color: var(--theme-main);
    padding: 20px;
    width: 40%;
    border-radius: 20px;
}


/* SEKCJA WELCOME */

.welcome-content-flex {
    width: 100%;
    display: flex;
    justify-content: space-around;
}

.welcome-content-box {
    width: 30%;
}

.welcome-content-box img {
    height: 200px;
    object-fit: cover;
    border-radius: 4px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.welcome-content-box-text {
    padding: 12px;
}

.welcome-content-box h4 {
    color: var(--theme-main);
    font-size: 1.4rem;
    font-weight: 600;
    margin-bottom: 12px;
}

.welcome-content-box p {
    color: var(--text-second);
    font-size: 0.9rem;
    font-weight: 500;
    line-height: 1.5rem;
}

.welcome-content-box .btn {
    margin-top: 20px;
}

.welcome-footer {
    margin: 40px auto;
    text-align: center;
}

.welcome-footer .btn {
    margin-top: 20px;
}


/* SEKCJA EXPLAIN */

.explain {
    margin: 80px auto;
}

.explain-flex {
    display: flex;
    justify-content: space-between;
}

.explain-left {
    width: 50%;
}

.explain-left .title {
    text-align: left;
    padding: 0px 0px 20px;
}

.explain-left h4 {
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 10px;
    line-height: 1.5rem;
}

.explain-left p {
    font-weight: 400;
    font-size: 0.95rem;
    margin-bottom: 20px;
    line-height: 1.6rem;
}

.explain-left h6 {
    font-weight: 500;
    font-size: 0.9rem;
    margin-bottom: 12px;
}

.explain-left-content-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

.elc-grid-item {
    display: flex;
    width: 100%;
    height: 3rem;
    align-items: center;
    align-content: center;
}

.elc-grid-item i {
    margin-right: 12px;
    font-size: 1.25rem;
    color: var(--theme-main);
}

.elc-grid-item p {
    margin: 0px;
    font-size: 0.95rem;
    font-weight: 400;
}

.explain-right {
    width: 50%;
}


/* SEKCJA BENEFITS */

.benefits {
    margin-top: 120px;
    margin-bottom: 60px;
}

.benefits-flex {
    background-color: var(--theme-darker);
    border-radius: 60px;
    display: flex;
    justify-content: space-between;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.benefits-left {
    width: 50%;
    position: relative;
}

.benefits-left img {
    position: absolute;
    left: -40px;
    top: -40px;
    width: calc(100% + 40px);
    border-radius: 0px 50px 0px 50px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.benefits-right {
    width: 50%;
}

.benefits-right-content {
    margin: 60px 0px 100px;
}

.benefits-right-content .title {
    padding: 0px;
    color: var(--background-primary);
}

.benefits-grid {
    width: 80%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

.benefits-grid-item {
    color: var(--background-primary);
    text-align: center;
}

.benefits-grid-item i {
    padding: 20px;
    margin: 30px 0px 12px;
    border: 2px solid var(--background-primary);
    border-radius: 50%;
    font-size: 1.4rem;
}

.benefits-grid-item p {
    font-size: 0.9rem;
    font-weight: 400;
}


/* SEKCJA AVAILABILITY */

.availability {
    margin-bottom: 100px;
}

.availability-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.av-left {
    width: 55%;
}

.av-left h4 {
    font-weight: 500;
    font-size: 1.5rem;
    color: var(--theme-main);
}

.av-left h4 b {
    font-weight: 700;
    color: var(--text-main);
}

.av-item {
    width: 15%;
    text-align: right;
}

.av-item h5 {
    font-size: 2.2rem;
    font-weight: 700;
    line-height: 2rem;
}

.av-item p {
    font-size: 1rem;
    font-weight: 400;
    color: var(--theme-main);
}


/* SEKCJA QUESTIONS */

.questions {
    background-color: var(--background-secondary);
}

.questions-flex {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.questions-left h4 {
    font-weight: 600;
    font-size: 1.1rem;
    margin-bottom: 20px;
}

.questions-left p {
    font-weight: 400;
    margin-bottom: 20px;
    line-height: 1.6rem;
}

.questions-left p a {
    color: var(--theme-lighter);
}

.questions-right {
    aspect-ratio: 9/8;
    width: 32%;
    background-color: var(--background-primary);
    transform: translateY(-40px);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 24px;
    text-align: center;
}

.questions-right h4 {
    font-size: 1.4rem;
    width: 100%;
    margin-bottom: 12px;
}

.questions-right p {
    font-size: 1rem;
    width: 100%;
    margin-bottom: 20px;
}

.questions-right img {
    width: 80%;
}

@media only screen and (max-width: 600px) {
    .hero {
        width: 100vw;
        border-radius: 0px;
        height: auto;
        margin-bottom: 100px;
    }
    .hero-content {
        flex-direction: column-reverse;
        width: 100%;
        height: 75%;
        transform: translateY(25%);
        padding: 20px;
        text-align: center;
    }
    .hero-left,
    .hero-right {
        width: 100%;
    }
    .hero-left h1 {
        font-size: 2.2rem;
        font-weight: 700;
    }
    .hero-left p {
        font-size: 0.95rem;
        font-weight: 500;
    }
    .hero-left .btn {
        margin-top: 12px;
    }
    .hero-footer {
        flex-direction: column;
        position: relative;
        transform: none;
        width: 90%;
        margin: 20px auto;
        left: 0px;
        bottom: -100px;
        height: auto;
    }
    .hero-footer-slab {
        width: 100%;
        border-right: none;
        border-bottom: 2px solid rgba(0, 0, 0, 0.04);
    }
    .hero-footer-slab p {
        margin-top: 0px;
    }
    .hf-active {
        border-bottom: none;
        height: 80px;
        border-radius: 0px 0px 24px 24px;
    }
    .special-offer-flex {
        flex-direction: column;
        width: 100%;
        padding: 20px;
    }
    .special-offer-left {
        width: 100%;
    }
    .special-offer-left h4 {
        line-height: 2rem;
    }
    .special-offer-right {
        width: 100%;
        margin-top: 40px;
    }
    .welcome-content-flex {
        flex-direction: column;
    }
    .welcome-content-box {
        width: 100%;
        margin-bottom: 20px;
    }
    .welcome-content-box img {
        height: 160px;
    }
    .welcome-content-box h4 {
        font-size: 1.2rem;
    }
    .explain-flex {
        flex-direction: column;
    }
    .explain-left {
        width: 100%;
        margin-bottom: 20px;
    }
    .explain-left-content-grid {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(6, 1fr);
    }
    .explain-right {
        width: 100%;
    }
    .benefits {
        background-color: var(--theme-darker);
    }
    .benefits-flex {
        flex-direction: column;
        box-shadow: none;
    }
    .benefits-left {
        width: 100%;
    }
    .benefits-left img {
        position: relative;
        margin: 20px auto;
        top: initial;
        left: initial;
        width: 100%;
        border-radius: 12px;
    }
    .benefits-right {
        width: 100%;
    }
    .benefits-right-content {
        margin: 0px auto 24px;
    }
    .benefits-right-content .title {
        text-align: left;
        margin-bottom: 12px;
    }
    .benefits-grid {
        width: 100%;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }
    .benefits-grid-item {
        text-align: left;
        display: flex;
        position: relative;
    }
    .benefits-grid-item i {
        padding: 10px;
        margin: 12px 0px 12px;
    }
    .benefits-grid-item p {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: calc(1.4rem + 40px);
    }
    .availability-flex {
        flex-direction: column;
    }
    .av-left {
        width: 100%;
        text-align: center;
        margin-bottom: 24px;
    }
    .av-item {
        width: 100%;
        text-align: center;
        margin-top: 24px;
    }
    .questions-flex {
        flex-direction: column-reverse;
    }
    .questions-left {
        width: 100%;
        margin-bottom: 24px;
        text-align: center;
    }
    .questions-right {
        width: 100%;
        aspect-ratio: auto;
    }
    .questions-right img {
        margin-top: 24px;
    }
}